ru.bitel.bgbilling.modules.call.server.event

## Class LoginUpdateEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.call.server.event.LoginUpdateEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class LoginUpdateEvent
      extends QueueEvent

  Скриптовое асинхронное событие - изменение/добавление логина.
  Генерируется после обновления/добавления логина.
  Унаследован от `QueueEvent`
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LoginUpdateEvent()`
    `` | `LoginUpdateEvent(int userId, int mid, Login login)` Конструктор логина.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Login` | `getLogin()` Возвращает логин.

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LoginUpdateEvent

          protected LoginUpdateEvent()

    - #### LoginUpdateEvent

          public LoginUpdateEvent(int userId,
                                  int mid,
                                  Login login)

      Конструктор логина.
      Parameters:
        `userId` - - id пользователя, сгенерировавшего событие
        `mid` - - код модуля
        `login` - - объект логина

  - ### Method Detail

    - #### getLogin

          public Login getLogin()

      Возвращает логин.
      Returns:
        login - логин